﻿// <auto-generated />
using System;
using AlumniNetworkAPI.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace AlumniNetworkAPI.Migrations.SqlServerMigrations
{
    [DbContext(typeof(AlumnipostgreContext))]
    partial class AlumnipostgreContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.8")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("AlumniNetworkAPI.Models.DiscussionThread", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<DateTime?>("CreatedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("CreatedBy")
                        .IsRequired()
                        .HasColumnType("integer");

                    b.Property<bool?>("IsEvent")
                        .HasColumnType("boolean");

                    b.Property<DateTime?>("LastUpdatedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("TopicId")
                        .HasColumnType("integer");

                    b.Property<int?>("UserId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("TopicId");

                    b.HasIndex("UserId");

                    b.ToTable("Threads");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreatedAt = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5427),
                            CreatedBy = 1,
                            IsEvent = false,
                            LastUpdatedAt = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5423),
                            TopicId = 1
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Event", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("BannerImg")
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Description")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<DateTime>("End")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("GroupId")
                        .HasColumnType("integer");

                    b.Property<int>("GuestCount")
                        .HasColumnType("integer");

                    b.Property<bool>("IsPrivate")
                        .HasColumnType("boolean");

                    b.Property<DateTime>("LastUpdatedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Name")
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.Property<DateTime>("Start")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("ThreadId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("GroupId");

                    b.HasIndex("ThreadId");

                    b.ToTable("Events");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            BannerImg = "ASDF",
                            CreatedAt = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5476),
                            Description = "A temp sicck event to test seeding",
                            End = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5476),
                            GuestCount = 2,
                            IsPrivate = false,
                            LastUpdatedAt = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5477),
                            Name = "SickkEvenntt",
                            Start = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5478),
                            ThreadId = 1
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Group", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Description")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<bool>("IsPrivate")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.HasKey("Id");

                    b.ToTable("Groups");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Description = "Group who plays tarkov at a meh level",
                            IsPrivate = false,
                            Name = "Meh Tarkov Party"
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Post", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<DateTime?>("CreatedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("CreatedBy")
                        .IsRequired()
                        .HasColumnType("integer");

                    b.Property<bool?>("IsTopLevel")
                        .HasColumnType("boolean");

                    b.Property<DateTime?>("LastUpdatedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("ReplyingTo")
                        .HasColumnType("integer");

                    b.Property<string>("Text")
                        .HasMaxLength(1000)
                        .HasColumnType("character varying(1000)");

                    b.Property<int?>("ThreadId")
                        .HasColumnType("integer");

                    b.Property<int?>("UserId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("ThreadId");

                    b.HasIndex("UserId");

                    b.ToTable("Posts");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreatedBy = 1,
                            IsTopLevel = true,
                            LastUpdatedAt = new DateTime(2022, 9, 9, 13, 8, 56, 914, DateTimeKind.Utc).AddTicks(5440),
                            ThreadId = 1
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.RSVP", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<bool>("Accepted")
                        .HasColumnType("boolean");

                    b.Property<int?>("EventId")
                        .HasColumnType("integer");

                    b.Property<DateTime?>("LastUpdated")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("UserId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("EventId");

                    b.HasIndex("UserId");

                    b.ToTable("RSVPs");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Accepted = false,
                            EventId = 1,
                            UserId = 1
                        },
                        new
                        {
                            Id = 2,
                            Accepted = false,
                            EventId = 1,
                            UserId = 2
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Topic", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Description")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<string>("Name")
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.HasKey("Id");

                    b.ToTable("Topics");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Description = "Discussions about tarkov",
                            Name = "Tarkov"
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Bio")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<string>("FunFact")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<string>("Img")
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.Property<string>("Name")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("Status")
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.HasKey("Id");

                    b.ToTable("Users");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Bio = "Loud keyboard and a bit of a noob dying to Lantz",
                            FunFact = "Ouch",
                            Img = "afdsa",
                            Name = "Pontus",
                            Status = "works at experis"
                        },
                        new
                        {
                            Id = 2,
                            Bio = "Hmmm",
                            FunFact = "Tarkov fanatic",
                            Img = "afdsa",
                            Name = "Pontus Alt Acc",
                            Status = "Wants to work at Bits Data"
                        });
                });

            modelBuilder.Entity("GroupUser", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("integer");

                    b.Property<int>("GroupId")
                        .HasColumnType("integer");

                    b.HasKey("UserId", "GroupId");

                    b.HasIndex("GroupId");

                    b.ToTable("GroupUser");

                    b.HasData(
                        new
                        {
                            UserId = 1,
                            GroupId = 1
                        },
                        new
                        {
                            UserId = 2,
                            GroupId = 1
                        });
                });

            modelBuilder.Entity("TopicUser", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("integer");

                    b.Property<int>("TopicId")
                        .HasColumnType("integer");

                    b.HasKey("UserId", "TopicId");

                    b.HasIndex("TopicId");

                    b.ToTable("TopicUser");

                    b.HasData(
                        new
                        {
                            UserId = 1,
                            TopicId = 1
                        },
                        new
                        {
                            UserId = 2,
                            TopicId = 1
                        });
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.DiscussionThread", b =>
                {
                    b.HasOne("AlumniNetworkAPI.Models.Topic", "Topic")
                        .WithMany()
                        .HasForeignKey("TopicId");

                    b.HasOne("AlumniNetworkAPI.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId");

                    b.Navigation("Topic");

                    b.Navigation("User");
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Event", b =>
                {
                    b.HasOne("AlumniNetworkAPI.Models.Group", "Group")
                        .WithMany("Events")
                        .HasForeignKey("GroupId");

                    b.HasOne("AlumniNetworkAPI.Models.DiscussionThread", "Thread")
                        .WithMany()
                        .HasForeignKey("ThreadId");

                    b.Navigation("Group");

                    b.Navigation("Thread");
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Post", b =>
                {
                    b.HasOne("AlumniNetworkAPI.Models.DiscussionThread", "Thread")
                        .WithMany("Posts")
                        .HasForeignKey("ThreadId");

                    b.HasOne("AlumniNetworkAPI.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId");

                    b.Navigation("Thread");

                    b.Navigation("User");
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.RSVP", b =>
                {
                    b.HasOne("AlumniNetworkAPI.Models.Event", "Event")
                        .WithMany("RSVPs")
                        .HasForeignKey("EventId");

                    b.HasOne("AlumniNetworkAPI.Models.User", "User")
                        .WithMany("RSVPs")
                        .HasForeignKey("UserId");

                    b.Navigation("Event");

                    b.Navigation("User");
                });

            modelBuilder.Entity("GroupUser", b =>
                {
                    b.HasOne("AlumniNetworkAPI.Models.Group", null)
                        .WithMany()
                        .HasForeignKey("GroupId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("AlumniNetworkAPI.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("TopicUser", b =>
                {
                    b.HasOne("AlumniNetworkAPI.Models.Topic", null)
                        .WithMany()
                        .HasForeignKey("TopicId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("AlumniNetworkAPI.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.DiscussionThread", b =>
                {
                    b.Navigation("Posts");
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Event", b =>
                {
                    b.Navigation("RSVPs");
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.Group", b =>
                {
                    b.Navigation("Events");
                });

            modelBuilder.Entity("AlumniNetworkAPI.Models.User", b =>
                {
                    b.Navigation("RSVPs");
                });
#pragma warning restore 612, 618
        }
    }
}
